<!DOCTYPE html>
<html th:replace="~{layout :: layout(~{::content},'')}" xmlns:th="http://www.thymeleaf.org">
	<body>
		<div th:fragment="content" style="text-align:center">
			<h1></h1>
			<blockquote sec:authorize="isAuthenticated()" class="mb-4 blockquote">
		  		<p class="display-4">Bonjour <span th:text="${pseudo}"></span>.</p><small>&nbsp;(<a th:href="@{/logout}" href="#">D&eacute;connexion</a>)</small>
			  	<footer class="blockquote-footer">Veni, vidi, vici <cite title="Source Title">Julius Caesar</cite></footer>
			</blockquote>
			<p class="mt-4 mb-4">
				<h3 class="mb-4">Historique de vos parties</h3>
				<table class="table table-striped">
				  <thead>
				    <tr>
				      <th scope="col">#</th>
				      <th scope="col">Resultats</th>
				      <th scope="col">Nombre de tours</th>
				      <th scope="col">Duree &minus; Date de creation</th>
				      <th scope="col">Map(Largeur &minus; Hauteur)</th>
				      <th scope="col">Joueurs</th>
				    </tr>
				  </thead>
				  <tbody>
				    <tr th:each="game,gameStat : ${games}" th:object="${game}">
						<td th:text="${gameStat['index']+1}">0</td>
						<td th:text="${game.Winner.user.id == current_user_id ? 'Victoire' : 'Defaite'}">0</td>
						<td th:text="*{nb_turns}">1</td>
						<td>

							<div th:if="${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} >= 0 and ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} >= 0 and ${#temporals.second(game.end_time)-#temporals.second(game.start_time)} >= 0">
								<span th:text="${#temporals.day(game.end_time)-#temporals.day(game.start_time)} + ' jours '+ ${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} + ':'+ ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} + ':'+ ${#temporals.second(game.end_time)-#temporals.second(game.start_time)}"></span>
								<br/>
								<span th:text="${#temporals.format(game.start_time, 'dd-MM-yyyy HH:mm')}"></span>
							</div>
							<div th:if="${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} >= 0 and ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} >= 0 and ${#temporals.second(game.end_time)-#temporals.second(game.start_time)} < 0">
								<span th:text="${#temporals.day(game.end_time)-#temporals.day(game.start_time)} + ' jours '+ ${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} + ':'+ ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)-1} + ':'+ ${60+#temporals.second(game.end_time)-#temporals.second(game.start_time)}"></span>
								<br/>
								<span th:text="${#temporals.format(game.start_time, 'dd-MM-yyyy HH:mm')}"></span>
							</div>
							
							<div th:if="${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} >= 0 and ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} < 0 and ${#temporals.second(game.end_time)-#temporals.second(game.start_time)} >= 0">
								<span th:text="${#temporals.day(game.end_time)-#temporals.day(game.start_time)} + ' jours '+ ${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)-1} + ':'+ ${60+#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} + ':'+ ${#temporals.second(game.end_time)-#temporals.second(game.start_time)}"></span>
								<br/>
								<span th:text="${#temporals.format(game.start_time, 'dd-MM-yyyy HH:mm')}"></span>
							</div>
							
							<div th:if="${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} >= 0 and ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} < 0 and ${#temporals.second(game.end_time)-#temporals.second(game.start_time)} < 0">
								<span th:text="${#temporals.day(game.end_time)-#temporals.day(game.start_time)} + ' jours '+ ${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)-1} + ':'+ ${60+#temporals.minute(game.end_time)-#temporals.minute(game.start_time)-1} + ':'+ ${60+#temporals.second(game.end_time)-#temporals.second(game.start_time)}"></span>
								<br/>
								<span th:text="${#temporals.format(game.start_time, 'dd-MM-yyyy HH:mm')}"></span>
							</div>
							
							<div th:if="${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} < 0 and ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} >= 0 and ${#temporals.second(game.end_time)-#temporals.second(game.start_time)} >= 0">
								<span th:text="${#temporals.day(game.end_time)-#temporals.day(game.start_time)-1} + ' jours '+ ${60+#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} + ':'+ ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} + ':'+ ${#temporals.second(game.end_time)-#temporals.second(game.start_time)}"></span>
								<br/>
								<span th:text="${#temporals.format(game.start_time, 'dd-MM-yyyy HH:mm')}"></span>
							</div>
							
							<div th:if="${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} < 0 and ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} >= 0 and ${#temporals.second(game.end_time)-#temporals.second(game.start_time)} < 0">
								<span th:text="${#temporals.day(game.end_time)-#temporals.day(game.start_time)-1} + ' jours '+ ${60+#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} + ':'+ ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)-1} + ':'+ ${60+#temporals.second(game.end_time)-#temporals.second(game.start_time)}"></span>
								<br/>
								<span th:text="${#temporals.format(game.start_time, 'dd-MM-yyyy HH:mm')}"></span>
							</div>
							
							<div th:if="${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} < 0 and ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} < 0 and ${#temporals.second(game.end_time)-#temporals.second(game.start_time)} >= 0">
								<span th:text="${#temporals.day(game.end_time)-#temporals.day(game.start_time)-1} + ' jours '+ ${60+#temporals.hour(game.end_time)-#temporals.hour(game.start_time)-1} + ':'+ ${60+#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} + ':'+ ${#temporals.second(game.end_time)-#temporals.second(game.start_time)}"></span>
								<br/>
								<span th:text="${#temporals.format(game.start_time, 'dd-MM-yyyy HH:mm')}"></span>
							</div>
							
							<div th:if="${#temporals.hour(game.end_time)-#temporals.hour(game.start_time)} < 0 and ${#temporals.minute(game.end_time)-#temporals.minute(game.start_time)} < 0 and ${#temporals.second(game.end_time)-#temporals.second(game.start_time)} < 0">
								<span th:text="${#temporals.day(game.end_time)-#temporals.day(game.start_time)-1} + ' jours '+ ${60+#temporals.hour(game.end_time)-#temporals.hour(game.start_time)-1} + ':'+ ${60+#temporals.minute(game.end_time)-#temporals.minute(game.start_time)-1} + ':'+ ${60+#temporals.second(game.end_time)-#temporals.second(game.start_time)}"></span>
								<br/>
								<span th:text="${#temporals.format(game.start_time, 'dd-MM-yyyy HH:mm')}"></span>
							</div>
							
						</td>
						<td th:text="*{grid_width + ' x ' + grid_height}">1</td>
						<td>
							<ul style="list-style: none;">
								<li th:each="player,playerStat : ${game.players}" th:object="${player}">
									<span th:if="${playerStat['index'] != 0}">VS<br/></span>
									<span th:text="*{name}"></span>
									<span th:if="*{user.id} == ${current_user_id}"> (Vous)</span>
								</li>
							</ul>
						</td>
						</td>
					</tr>
				  </tbody>
				</table>
				<div th:if="${games.size() == 0}">
					Vous n'avez pas encore de parties finies.
				</div>
			</p>
			<p class="mt-4 mb-4">
				<h3 class="mb-4">Vos amis</h3>
				<table class="table table-striped">
				  <thead>
				    <tr>
				      <th scope="col">#</th>
				      <th scope="col">Pseudonyme</th>
				      <th scope="col"></th>
				    </tr>
				  </thead>
				  <tbody>
				    <tr th:each="friend,friendStat : ${friends}" th:object="${friend}">
				    	<td th:text="${friendStat['index']+1}">0</td>
						<td th:text="*{pseudo}">unknown</td>
						<td><a th:href="@{'/deletefriend/'+*{id}}">&#10060;</a></td>
				    </tr>
				  </tbody>
				</table>
				<div th:if="${friends.size() == 0}">
					Vous n'avez pas encore ajoute d'amis.
				</div>
			</p>
			<p class="mt-4 mb-4">
				<h3 class="mb-4">Vos demandes d'amis</h3>
				<table class="table table-striped">
				  <thead>
				    <tr>
				      <th scope="col">#</th>
				      <th scope="col">Pseudonyme</th>
				      <th scope="col"></th>
				      <th scope="col"></th>
				    </tr>
				  </thead>
				  <tbody>
				    <tr th:each="user,userStat : ${friends_requests}" th:object="${user}">
				    	<td th:text="${userStat['index']+1}">0</td>
						<td th:text="*{pseudo}">unknown</td>
						<td><a th:href="@{'/answerfriend/'+*{id} +'?action=Y'}">&#10004;</a></td>
						<td><a th:href="@{'/answerfriend/'+*{id} +'?action=N'}">&#10060;</a></td>
				    </tr>
				  </tbody>
				</table>
				<div th:if="${friends_requests.size() == 0}">
					Vous n'avez aucune demande d'amis.
				</div>
			</p>
		</div>
	</body>
</html>